/*--------------------------------------------------------------------*/
/*                          J P _ c w t a b                           */
/*                                                                    */
/* Am Beispiel des Modells MCCOY_G7 wird gezeigt, wie die Luftwider-  */
/* standsmodelle aus einem ooRexx-Programm heraus aufgerufen werden   */
/* knnen.                                                            */
/*                                                                    */
/* Dieses Programm in der Kommandozeile (Eingabeaufforderung) starten.*/
/*                                                                    */
/* This program demonstrates (using MCCOY_G7) how an ooRexx program   */
/* can use the drag models in library JP_LWMod.                       */
/* Start this program by entering its name in a command window.       */
/*                                                                    */
/*--------------------------------------------------------------------*/
/*--------------------------------------------------------------------*/
/*                                                                    */
/* ALTERNATIVE 1:  Aufruf als Rexx-Funktion                           */
/*                                                                    */
/*--------------------------------------------------------------------*/
mach = 2.34
cw = mccoy_g7(mach)                   /* example of a "function call" */
say '1. cw at M' mach '=' cw
/*--------------------------------------------------------------------*/
/*                                                                    */
/* ALTERNATIVE 2:  Aufruf als Rexx Subroutine                         */
/*                                                                    */
/* Eine Subroutine gibt das Ergebnis immer in Variable RESULT zurck. */
/*--------------------------------------------------------------------*/
mach = 2.56
call mccoy_g7 mach /* a "subroutine call" always sets variable RESULT */
say ' '
say '2. cw at M' mach '=' result
/*--------------------------------------------------------------------*/
/*                                                                    */
/* ALTERNATIVE 3:  Aufruf als Rexx Subroutine, wobei der Name des     */
/*                 Luftwiderstandsmodells in Variable  DRAGMOD  ent-  */
/*                 halten ist.                                        */
/*--------------------------------------------------------------------*/
mach = 2.78
dragmod = 'mccoy_g7'      /* drag model name held in variable DRAGMOD */
call (dragmod) mach       /* "subroutine call" as above               */
say ' '
say '3. cw at M' mach '=' result
exit                                                  /* Programmende */
/*--------------------------------------------------------------------*/
/*                                                                    */
/* Die folgende Anweisung macht ooRexx bekannt, dass es in der Datei  */
/* JP_LWMod.rex  nach den unbekannten Funktionen/Subroutinen suchen   */
/* soll.                                                              */
/* REQUIRES tells ooRexx to look for unknown routines in JP_LWMod.rex */
/*--------------------------------------------------------------------*/
::REQUIRES JP_LWMod
